## python-kubernetes 2.0.0

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
urllib3>=1.19.1,!=1.21  # MIT
pyyaml>=3.12  # MIT
oauth2client>=4.0.0  # Apache-2.0
ipaddress>=1.0.17  # PSF
websocket-client>=0.32.0 # LGPLv2+

=== debian/changelog ===
python-kubernetes (2.0.0-2ubuntu1) bionic; urgency=medium

  * d/control: Drop python-randomize and python-recommonmark from BDs
    as they're not used at this time.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Feb 2018 09:53:14 -0500

python-kubernetes (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:04:30 +0000

python-kubernetes (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #879560)

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 22:06:24 +0200

=== debian/control ===
Source: python-kubernetes
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-certifi,
 python-dateutil,
 python-ipaddress,
 python-mock,
 python-nose,
 python-oauth2client,
 python-pluggy,
 python-py,
 python-six,
 python-urllib3,
 python-websocket,
 python-yaml,
 python3-certifi,
 python3-dateutil,
 python3-mock,
 python3-nose,
 python3-oauth2client,
 python3-pluggy,
 python3-py,
 python3-six,
 python3-urllib3,
 python3-websocket,
 python3-yaml,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-kubernetes.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-kubernetes.git
Homepage: https://github.com/kubernetes-incubator/client-python

Package: python-kubernetes
Architecture: all
Depends:
 python-certifi,
 python-dateutil,
 python-ipaddress,
 python-oauth2client,
 python-setuptools,
 python-six,
 python-urllib3,
 python-websocket,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Description: Kubernetes Python client - Python 2.7
 This package provides a Python client for kubernetes. Kubernetes is a system
 for automating deployment, scaling, and management of containerized
 applications.
 .
 This package contains the Python 2.7 module.

Package: python3-kubernetes
Architecture: all
Depends:
 python3-certifi,
 python3-dateutil,
 python3-oauth2client,
 python3-setuptools,
 python3-six,
 python3-urllib3,
 python3-websocket,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Kubernetes Python client - Python 3.x
 This package provides a Python client for kubernetes. Kubernetes is a system
 for automating deployment, scaling, and management of containerized
 applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/kubernetes-incubator/client-python.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for i in 2.7 $(PYTHON3S) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m nose -v ; \
	done
endif

override_dh_clean:
	dh_clean
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-kubernetes 4.0.0

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
urllib3>=1.19.1,!=1.21  # MIT
pyyaml>=3.12  # MIT
google-auth>=1.0.1  # Apache-2.0
ipaddress>=1.0.17  # PSF
websocket-client>=0.32.0,<=0.40.0 # LGPLv2+
requests # Apache-2.0
requests-oauthlib # ISC

=== debian/changelog ===
python-kubernetes (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:31 +0000

python-kubernetes (4.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Move the package to the DPMT:
    - Update maintainer and uploader.
    - Update VCS fields.
    - Switched to pristine-tar.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 10:33:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-kubernetes
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -16,30 +16,40 @@
 Build-Depends-Indep:
  python-certifi,
  python-dateutil,
+ python-google-auth,
  python-ipaddress,
  python-mock,
  python-nose,
- python-oauth2client,
  python-pluggy,
  python-py,
+ python-pytest,
+ python-randomize,
+ python-recommonmark,
+ python-requests,
+ python-requests-oauthlib,
  python-six,
  python-urllib3,
  python-websocket,
  python-yaml,
  python3-certifi,
  python3-dateutil,
+ python3-google-auth,
  python3-mock,
  python3-nose,
- python3-oauth2client,
  python3-pluggy,
  python3-py,
+ python3-pytest,
+ python3-randomize,
+ python3-recommonmark,
+ python3-requests,
+ python3-requests-oauthlib,
  python3-six,
  python3-urllib3,
  python3-websocket,
  python3-yaml,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-kubernetes.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-kubernetes.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kubernetes
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-kubernetes.git
 Homepage: https://github.com/kubernetes-incubator/client-python
 
 Package: python-kubernetes
@@ -47,8 +57,10 @@
 Depends:
  python-certifi,
  python-dateutil,
+ python-google-auth,
  python-ipaddress,
- python-oauth2client,
+ python-requests,
+ python-requests-oauthlib,
  python-setuptools,
  python-six,
  python-urllib3,
@@ -68,7 +80,9 @@
 Depends:
  python3-certifi,
  python3-dateutil,
- python3-oauth2client,
+ python3-google-auth,
+ python3-requests,
+ python3-requests-oauthlib,
  python3-setuptools,
  python3-six,
  python3-urllib3,

## python-kubernetes 7.0.0~a1

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
urllib3>=1.19.1,!=1.21  # MIT
pyyaml>=3.12  # MIT
google-auth>=1.0.1  # Apache-2.0
ipaddress>=1.0.17;python_version=="2.7"  # PSF
websocket-client>=0.32.0,!=0.40.0,!=0.41.*,!=0.42.* # LGPLv2+
requests # Apache-2.0
requests-oauthlib # ISC

=== debian/changelog ===
python-kubernetes (7.0.0~a1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Drop openstack-pkg-tools from B-D, not needed anymore.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 12:06:14 +0200

python-kubernetes (7.0.0~a1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    + ACTION REQUIRED: Rename the currently being-used async parameter to
      async_req to support Python 3.7 because it's a reserved keyword now.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jul 2018 19:55:52 +0200

=== debian/control ===
Source: python-kubernetes
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-certifi,
 python3-dateutil,
 python3-google-auth,
 python3-mock,
 python3-nose,
 python3-pluggy,
 python3-py,
 python3-pytest,
 python3-randomize,
 python3-recommonmark,
 python3-requests,
 python3-requests-oauthlib,
 python3-six,
 python3-urllib3,
 python3-websocket,
 python3-yaml,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kubernetes
Vcs-Git: https://salsa.debian.org/python-team/modules/python-kubernetes.git
Homepage: https://github.com/kubernetes-incubator/client-python
Testsuite: autopkgtest-pkg-python

Package: python3-kubernetes
Architecture: all
Depends:
 python3-certifi,
 python3-dateutil,
 python3-google-auth,
 python3-requests,
 python3-requests-oauthlib,
 python3-setuptools,
 python3-six,
 python3-urllib3,
 python3-websocket,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Kubernetes Python client - Python 3.x
 This package provides a Python client for kubernetes. Kubernetes is a system
 for automating deployment, scaling, and management of containerized
 applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kubernetes

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/kubernetes/kubernetes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-kubernetes 12.0.1

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
pyyaml>=3.12  # MIT
google-auth>=1.0.1  # Apache-2.0
ipaddress>=1.0.17;python_version=="2.7"  # PSF
websocket-client>=0.32.0,!=0.40.0,!=0.41.*,!=0.42.* # LGPLv2+
requests # Apache-2.0
requests-oauthlib # ISC
urllib3>=1.24.2  # MIT

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -c source
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = kubernetes-python
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
html:
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo "\nDocs rendered successfully, open _/build/html/index.html to view"

=== debian/changelog ===
python-kubernetes (12.0.1-1ubuntu1) hirsute; urgency=medium

  * d/control: Set min version of python3-urllib to 1.26.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Feb 2021 14:28:59 -0500

python-kubernetes (12.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Thomas Goirand ]
  * New upstream release (Closes: #954381).
    - Fixes FTBFS (Closes: #959621, #973072).
  * Use git to generate upstream tarball, as the PyPi module doesn't include
    the test folder. Using the gen-orig-xz in debian/rules, as using the
    repack function of debian/watch doesn't make sense (why downloading a
    tarball that would be later on discarded? I'm open to a better solution
    which would be uscan compatible though...). Switch d/watch to the github
    tag therefore.
  * override_dh_auto_test to set PYTHONPATH.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2020 09:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-kubernetes
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -24,12 +24,12 @@
  python3-requests,
  python3-requests-oauthlib,
  python3-six,
- python3-urllib3,
+ python3-urllib3 (>= 1.26.2),
  python3-websocket,
  python3-yaml,
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kubernetes
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-kubernetes.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kubernetes
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-kubernetes.git
 Homepage: https://github.com/kubernetes-incubator/client-python
 Testsuite: autopkgtest-pkg-python
 
@@ -43,7 +43,7 @@
  python3-requests-oauthlib,
  python3-setuptools,
  python3-six,
- python3-urllib3,
+ python3-urllib3 (>= 1.26.2),
  python3-websocket,
  python3-yaml,
  ${misc:Depends},

## python-kubernetes 22.6.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 six>=1.9.0  # MIT
 python-dateutil>=2.5.3  # BSD
 setuptools>=21.0.0  # PSF/ZPL
-pyyaml>=3.12  # MIT
+pyyaml>=5.4.1  # MIT
 google-auth>=1.0.1  # Apache-2.0
 ipaddress>=1.0.17;python_version=="2.7"  # PSF
 websocket-client>=0.32.0,!=0.40.0,!=0.41.*,!=0.42.* # LGPLv2+

=== debian/changelog ===
python-kubernetes (22.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:23:56 +0100

python-kubernetes (22.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Increase python3-yaml required version.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Aug 2022 16:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-sphinx,
  python3-all,
@@ -24,10 +24,10 @@
  python3-requests,
  python3-requests-oauthlib,
  python3-six,
- python3-urllib3 (>= 1.26.2),
+ python3-urllib3,
  python3-websocket,
- python3-yaml,
-Standards-Version: 4.5.0
+ python3-yaml (>= 5.4.1),
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kubernetes
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-kubernetes.git
 Homepage: https://github.com/kubernetes-incubator/client-python
@@ -43,9 +43,9 @@
  python3-requests-oauthlib,
  python3-setuptools,
  python3-six,
- python3-urllib3 (>= 1.26.2),
+ python3-urllib3,
  python3-websocket,
- python3-yaml,
+ python3-yaml (>= 5.4.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: Kubernetes Python client - Python 3.x

## python-kubernetes 26.1.0

=== debian/changelog ===
python-kubernetes (26.1.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 12:16:30 +0200

python-kubernetes (26.1.0-3) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 11:59:26 +0200

python-kubernetes (26.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add fix-assertEqual.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:47:06 +0200

python-kubernetes (26.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:52:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kubernetes

DEB_PKGNAME := $(shell dpkg-parsechangelog -SSource)
DEB_VERSION := $(shell dpkg-parsechangelog -SVersion)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
GIT_TAG := $(shell echo '$(DEB_UPSTREAM_VERSION)' | sed -e 's/~/_/')

UPSTREAM_GIT = https://github.com/kubernetes-incubator/client-python

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf kubernetes/tmp_file_path_test kubernetes/base/tmp_file_path_test

override_dh_auto_test:
	set -e ; set -x ; for pyvers in $$(py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=$(CURDIR) python$${pyvers} -m pytest -v ; \
	done

gen-orig-xz:
	set -e ; set -x ; \
	cd .. ; \
	git clone $(UPSTREAM_GIT) ; \
	cd client-python ; \
	git reset --hard v$(GIT_TAG) ; \
	git tag $(GIT_TAG) v$(GIT_TAG) ; \
	git archive --prefix=$(DEB_PKGNAME)-$(GIT_TAG)/ --format=tar $(GIT_TAG) >../$(DEB_PKGNAME)_$(GIT_TAG).orig.tar ; \
	git submodule update --init ; \
	cd kubernetes/base ; \
	git archive  --prefix=$(DEB_PKGNAME)-$(GIT_TAG)/kubernetes/base/ --format=tar master > ../../../base.tar ; \
	cd ../../.. ; \
	tar -Af $(DEB_PKGNAME)_$(GIT_TAG).orig.tar base.tar ; \
	rm -rf base.tar client-python ; \
	cat $(DEB_PKGNAME)_$(GIT_TAG).orig.tar | xz >$(DEB_PKGNAME)_$(GIT_TAG).orig.tar.xz ; \
	rm $(DEB_PKGNAME)_$(GIT_TAG).orig.tar

## python-kubernetes 30.1.0

=== requirements.txt ===
certifi>=14.05.14 # MPL
six>=1.9.0  # MIT
python-dateutil>=2.5.3  # BSD
setuptools>=21.0.0  # PSF/ZPL
pyyaml>=5.4.1  # MIT
google-auth>=1.0.1  # Apache-2.0
websocket-client>=0.32.0,!=0.40.0,!=0.41.*,!=0.42.* # LGPLv2+
requests # Apache-2.0
requests-oauthlib # ISC
oauthlib>=3.2.2 # BSD
urllib3>=1.24.2  # MIT

=== doc/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 
 # You can set these variables from the command line.
+SPHINXAPIDOC  = sphinx-apidoc
 SPHINXOPTS    = -c source
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = kubernetes-python
@@ -14,8 +15,13 @@
 
 .PHONY: help Makefile
 
+# additional step to use sphinx-apidoc to generate rst files for APIs
+rst:
+	rm -f $(SOURCEDIR)/kubernetes.*.rst
+	$(SPHINXAPIDOC) -o "$(SOURCEDIR)" ../kubernetes/ -e -f
+
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
-html:
+html: rst
 	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
 	@echo "\nDocs rendered successfully, open _/build/html/index.html to view"

=== debian/changelog ===
python-kubernetes (30.1.0-3) unstable; urgency=medium

  * Team upload.
  * Drop unused dependency on RC-buggy python3-py

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 09:22:19 +0200

python-kubernetes (30.1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 13:37:42 +0100

python-kubernetes (30.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 30.1.0
  * Remove patch applied upstream
  * Remove extraneous python3-mock build dep
  * Use new dh-sequence-python3
  * Use the standard /usr/share/dpkg/pkg-info.mk
    instead of calling dpkg-parsechangelog

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Jun 2024 11:03:52 +0200

python-kubernetes (29.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 29.0.0 (Closes: #1058350)
  * remove obsolete python3-nose build dependency (Closes: #1018523)
  * remove obsolete python3-randomize build dependency
  * refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Fri, 03 May 2024 13:50:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-sphinx,
  python3-all,
  python3-setuptools,
@@ -14,12 +14,8 @@
  python3-certifi,
  python3-dateutil,
  python3-google-auth,
- python3-mock,
- python3-nose,
  python3-pluggy,
- python3-py,
  python3-pytest,
- python3-randomize,
  python3-recommonmark,
  python3-requests,
  python3-requests-oauthlib,
@@ -27,7 +23,7 @@
  python3-urllib3,
  python3-websocket,
  python3-yaml (>= 5.4.1),
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kubernetes
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-kubernetes.git
 Homepage: https://github.com/kubernetes-incubator/client-python
@@ -41,7 +37,6 @@
  python3-google-auth,
  python3-requests,
  python3-requests-oauthlib,
- python3-setuptools,
  python3-six,
  python3-urllib3,
  python3-websocket,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=kubernetes

DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
GIT_TAG := $(shell echo '$(DEB_UPSTREAM_VERSION)' | sed -e 's/~/_/')

UPSTREAM_GIT = https://github.com/kubernetes-incubator/client-python

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf kubernetes/tmp_file_path_test kubernetes/base/tmp_file_path_test

override_dh_auto_test:
	set -e ; set -x ; for pyvers in $$(py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=$(CURDIR) python$${pyvers} -m pytest -v ; \
	done

gen-orig-xz:
	set -e ; set -x ; \
	cd .. ; \
	git clone $(UPSTREAM_GIT) ; \
	cd client-python ; \
	git reset --hard v$(GIT_TAG) ; \
	git tag $(GIT_TAG) v$(GIT_TAG) ; \
	git archive --prefix=$(DEB_SOURCE)-$(GIT_TAG)/ --format=tar $(GIT_TAG) >../$(DEB_SOURCE)_$(GIT_TAG).orig.tar ; \
	git submodule update --init ; \
	cd kubernetes/base ; \
	git archive  --prefix=$(DEB_SOURCE)-$(GIT_TAG)/kubernetes/base/ --format=tar master > ../../../base.tar ; \
	cd ../../.. ; \
	tar -Af $(DEB_SOURCE)_$(GIT_TAG).orig.tar base.tar ; \
	rm -rf base.tar client-python ; \
	cat $(DEB_SOURCE)_$(GIT_TAG).orig.tar | xz >$(DEB_SOURCE)_$(GIT_TAG).orig.tar.xz ; \
	rm $(DEB_SOURCE)_$(GIT_TAG).orig.tar

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/kubernetes-incubator/client-python/tags .*/v(\d[\d\.]+)\.tar\.gz
